List statements
curl --request GET \
--url https://sg.sandbox.api.reap.global/statements/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/statements/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/statements/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_TRANSACTION_FEES",
"origin": "CLIENT",
"status": "PENDING",
"period": {
"from": "2025-03-01",
"to": "2025-03-31"
},
"fields": [
"occurredAt",
"transactionId",
"billAmount"
],
"format": "CSV",
"version": "2025-02-14",
"rowCount": 1842,
"byteSize": 412034,
"dataAsOf": "2025-04-02T03:15:00Z",
"generatedAt": "2025-04-02T03:20:12Z",
"createdAt": "2025-04-02T03:20:00Z",
"updatedAt": "2025-04-02T03:20:12Z"
}
],
"nextCursor": "<string>"
}Statements
List statements
Lists statements requested for the project, most recently created first, including those Reap produces on a schedule.
GET
/
statements
/
List statements
curl --request GET \
--url https://sg.sandbox.api.reap.global/statements/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/statements/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/statements/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "CARD_TRANSACTION_FEES",
"origin": "CLIENT",
"status": "PENDING",
"period": {
"from": "2025-03-01",
"to": "2025-03-31"
},
"fields": [
"occurredAt",
"transactionId",
"billAmount"
],
"format": "CSV",
"version": "2025-02-14",
"rowCount": 1842,
"byteSize": 412034,
"dataAsOf": "2025-04-02T03:15:00Z",
"generatedAt": "2025-04-02T03:20:12Z",
"createdAt": "2025-04-02T03:20:00Z",
"updatedAt": "2025-04-02T03:20:12Z"
}
],
"nextCursor": "<string>"
}Required scope: STATEMENTS_READ